This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 141187 - unable to extend index error
unable to extend index error
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 15:10 EST by Matt Domsch
Modified: 2007-07-31 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-06 10:46:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rhn-satellite-error.txt (222.45 KB, text/plain)
2004-11-29 15:10 EST, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2004-11-29 15:10:07 EST
Description of problem:

Multiple emails from RHN Satellite Server (3.4.0 running on RHEL2.1)
whenever someone tries to register a system.
Exception reported from rhn.linuxdev.us.dell.com
Time: Mon Nov 29 14:04:19 2004
Exception type server.rhnSQL.sql_base.SQLError
Exception while handling function registration.add_packages
Request object information:
URI: /XMLRPC
Remote Host: 10.9.163.253
Server Name: rhn.linuxdev.us.dell.com:443
Headers passed in:
	Accept-Encoding: identity
	Content-Length: 420457
	Host: rhn.linuxdev.us.dell.com:443
	content-type: text/xml
	user-agent: rhn.rpclib.py/$Revision: 1.40 $
	x-client-version: 1
	x-info: RPC Processor (C) Red Hat, Inc (version 1.44)
	x-rhn-transport-capability: follow-redirects=1
	x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc
(version 1.40)
	x-up2date-version: 
Extra information about this error:
SQL Error generated: (1654, 'ORA-01654: unable to extend index
RHNSAT.RHN_PN_NAME_UQ by 16 in tablespace DATA_TBS\012ORA-06512: at
"RHNSAT.LOOKUP_PACKAGE_NAME", line 19\012ORA-01403: no data
found\012ORA-06512: at line 1\012', {'SQL': 'insert into
rhnServerPackage (server_id, name_id, evr_id) values (:sysid,
LOOKUP_PACKAGE_NAME(:n), LOOKUP_EVR(:e, :v, :r))',
.....

Full message will be attached.
I upgraded the RHN Satellite Server to the latest packages available,
but with no effect.

The RHN Satellite Server shows that the system I registered *was*
registered, however the system does not believe it is registered:
up2date --register fails with this message, and up2date fails with
another message:
Traceback (most recent call last):
  File "/usr/sbin/up2date-nox", line 1249, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date-nox", line 753, in main
    if cfg['useRhn'] and not up2dateAuth.getLoginInfo():
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 166, in
getLoginInfo
    login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 91, in login
    server = rpcServer.getServer()
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 188, in
getServer
    s = RetryServer(serverList.server(),
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 106, in server
    self.serverurl = self.serverList[self.index]
IndexError: list index out of range
[root@localhost tmp]# up2date -i compat-stdlibc++

Error Message:
    Please run rhn_register (or up2date --register on Red Hat Linux 8.0)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.




Version-Release number of selected component (if applicable):
# rpm -qa | grep rhn
rhns-certs-tools-3.4.0-15
tkinter-1.5.2-44.as21.rhn.1
perl-DBD-Oracle-1.14-10.rhn.rhel2.1
rhn_register-2.9.12-1.2.1AS
rhn-org-trusted-ssl-cert-1.0-1
rhn-sniglets-3.4.0-24
rhns-app-3.4.0-53
rhns-config-files-tool-3.4.0-53
rhns-xp-3.4.0-53
rhn-moon-3.4.0-24
rhn_register-gnome-2.9.12-1.2.1AS
rhn-org-httpd-ssl-key-pair-rhn.linuxdev.us-1.0-1
rhn-satellite-config-3.4.0-1
python-docs-1.5.2-44.as21.rhn.1
python-1.5.2-44.as21.rhn.1
python-tools-1.5.2-44.as21.rhn.1
rhns-schema-tools-3.0.9-3
rhn-satellite-admin-3.4.0-2
rhn-dobby-3.4.0-21
rhnpush-3.4.0-53
rhns-server-3.4.0-53
rhns-applet-3.4.0-53
rhns-config-files-3.4.0-53
rhns-package-push-server-3.4.0-53
rhns-satellite-tools-3.4.0-53
rhn-base-3.4.0-24
rhn-grail-3.4.0-24
rhn-pxt-3.4.0-24
rhnlib-1.8-6.p15
rhn-web-docs-3.4.0-6
rhn-satellite-schema-3.4-48
python-devel-1.5.2-44.as21.rhn.1
rhn-html-3.4.0-24
rhns-3.4.0-53
rhns-config-files-common-3.4.0-53
rhns-xmlrpc-3.4.0-53
rhn-cypress-3.4.0-24
rhn-swab-3.4.0-24


How reproducible:
Every time I try to register a RHEL4 system with RHN Satellite.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matt Domsch 2004-11-29 15:10:56 EST
Created attachment 107571 [details]
rhn-satellite-error.txt
Comment 2 Matt Domsch 2005-01-06 10:46:25 EST
The satellite server database indexes were not large enough.  Clifford
Perry helped me grow my index tablespace on 12/16 which appears to
resolve this.  Closing.

Note You need to log in before you can comment on or make changes to this bug.